"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const introspectionQuery_1 = require("graphql/utilities/introspectionQuery");
const Project = require('../package.json');
const name = Project.name;
const version = Project.version;
const description = Project.description;
const namespace = 'GraphQL';
const objectKinds = ['OBJECT', 'INTERFACE'];
const scalars = {
    Int: 'number',
    Float: 'number',
    String: 'string',
    ID: 'string',
    Boolean: 'boolean'
};
const primitives = {
    Query: 'queryType',
    Mutation: 'mutationType',
    Subscription: 'subscriptionType',
};
exports.default = {
    name, version, description,
    query: introspectionQuery_1.introspectionQuery,
    namespace, scalars, objectKinds, primitives
};
