"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const graphql_ask_1 = require("graphql-ask");
const constants_1 = require("./constants");
function fetch(sourceUrl, options = {}) {
    const headers = options.headers || [];
    return graphql_ask_1.default(sourceUrl, constants_1.default.query, { headers: parseHeaders(options.headers) })
        .catch(error => Promise.reject(error instanceof Error
        ? `${error.message}, see \`${constants_1.default.name} --help\``
        : error));
}
exports.fetch = fetch;
function parseHeaders(headers) {
    return headers && headers.reduce((headers, header) => {
        const [name, value] = header.split(/[:=]/);
        headers[name] = value;
        return headers;
    }, {});
}
exports.default = fetch;
